<?php echo $header; ?>


<div id="content">


  <div class="breadcrumb">


    <?php foreach ($breadcrumbs as $breadcrumb) { ?>


    <?php echo $breadcrumb['separator']; ?><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a>


    <?php } ?>


  </div>


  <?php if ($error_warning) { ?>


  <div class="warning"><?php echo $error_warning; ?></div>


  <?php } ?>


  <div class="box">


    <div class="left"></div>


    <div class="right"></div>


    <div class="heading">


      <h1><img src="view/image/customer.png" alt="" /> <?php echo $heading_title; ?></h1>


      <div class="buttons"><a onclick="$('#form').submit();" class="button"><?php echo $button_save; ?></a><a onclick="location = '<?php echo $cancel; ?>';" class="button"><?php echo $button_cancel; ?></a></div>


    </div>


    <div class="content">


      <div id="htabs" class="htabs"><a href="#tab-general"><?php echo $tab_general; ?></a>


        <?php if ($customer_id) { ?>


        <a href="#tab-transaction"><?php echo $tab_transaction; ?></a><a href="#tab-reward"><?php echo $tab_reward; ?></a>


        <?php } ?>


        <a href="#tab-ip"><?php echo $tab_ip; ?></a></div>


      <form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form">


        <div id="tab-general">


          <div id="vtabs" class="vtabs"><a href="#tab-customer"><?php echo $tab_general; ?></a>


            <?php $address_row = 1; ?>


            <?php foreach ($addresses as $address) { ?>


            <a href="#tab-address-<?php echo $address_row; ?>" id="address-<?php echo $address_row; ?>"><?php echo $tab_address . ' ' . $address_row; ?>&nbsp;<img src="view/image/delete.png" alt="" onclick="$('#vtabs a:first').trigger('click'); $('#address-<?php echo $address_row; ?>').remove(); $('#tab-address-<?php echo $address_row; ?>').remove(); return false;" /></a>


            <?php $address_row++; ?>


            <?php } ?>


            <span id="address-add"><?php echo $button_add_address; ?>&nbsp;<img src="view/image/add.png" alt="" onclick="addAddress();" /></span></div>


          <div id="tab-customer" class="vtabs-content">


            <table class="form">


              <tr>


                <td><span class="required">*</span> <?php echo $entry_firstname; ?></td>


                <td><input type="text" name="firstname" value="<?php echo $firstname; ?>" />


                  <?php if ($error_firstname) { ?>


                  <span class="error"><?php echo $error_firstname; ?></span>


                  <?php } ?></td>


              </tr>


              <tr>


                <td><span class="required">*</span> <?php echo $entry_lastname; ?></td>


                <td><input type="text" name="lastname" value="<?php echo $lastname; ?>" />


                  <?php if ($error_lastname) { ?>


                  <span class="error"><?php echo $error_lastname; ?></span>


                  <?php } ?></td>


              </tr>


              <tr>


                <td><span class="required">*</span> <?php echo $entry_email; ?></td>


                <td><input type="text" name="email" value="<?php echo $email; ?>" />


                  <?php if ($error_email) { ?>


                  <span class="error"><?php echo $error_email; ?></span>


                  <?php  } ?></td>


              </tr>


              <tr>


                <td><span class="required">*</span> <?php echo $entry_telephone; ?></td>


                <td><input type="text" name="telephone" value="<?php echo $telephone; ?>" />


                  <?php if ($error_telephone) { ?>


                  <span class="error"><?php echo $error_telephone; ?></span>


                  <?php  } ?></td>


              </tr>


              <tr>


                <td><?php echo $entry_fax; ?></td>


                <td><input type="text" name="fax" value="<?php echo $fax; ?>" /></td>


              </tr>


              <tr>


                <td><?php echo $entry_password; ?></td>


                <td><input type="password" name="password" value="<?php echo $password; ?>"  />


                  <br />


                  <?php if ($error_password) { ?>


                  <span class="error"><?php echo $error_password; ?></span>


                  <?php  } ?></td>


              </tr>


              <tr>


                <td><?php echo $entry_confirm; ?></td>


                <td><input type="password" name="confirm" value="<?php echo $confirm; ?>" />


                  <?php if ($error_confirm) { ?>


                  <span class="error"><?php echo $error_confirm; ?></span>


                  <?php  } ?></td>


              </tr>


              <tr>


                <td><?php echo $entry_newsletter; ?></td>


                <td><select name="newsletter">


                    <?php if ($newsletter) { ?>


                    <option value="1" selected="selected"><?php echo $text_enabled; ?></option>


                    <option value="0"><?php echo $text_disabled; ?></option>


                    <?php } else { ?>


                    <option value="1"><?php echo $text_enabled; ?></option>


                    <option value="0" selected="selected"><?php echo $text_disabled; ?></option>


                    <?php } ?>


                  </select></td>


              </tr>


              <tr>


                <td><?php echo $entry_customer_group; ?></td>


                <td><select name="customer_group_id">


                    <?php foreach ($customer_groups as $customer_group) { ?>


                    <?php if ($customer_group['customer_group_id'] == $customer_group_id) { ?>


                    <option value="<?php echo $customer_group['customer_group_id']; ?>" selected="selected"><?php echo $customer_group['name']; ?></option>


                    <?php } else { ?>


                    <option value="<?php echo $customer_group['customer_group_id']; ?>"><?php echo $customer_group['name']; ?></option>


                    <?php } ?>


                    <?php } ?>


                  </select></td>


              </tr>


              <tr>


                <td><?php echo $entry_status; ?></td>


                <td><select name="status">


                    <?php if ($status) { ?>


                    <option value="1" selected="selected"><?php echo $text_enabled; ?></option>


                    <option value="0"><?php echo $text_disabled; ?></option>


                    <?php } else { ?>


                    <option value="1"><?php echo $text_enabled; ?></option>


                    <option value="0" selected="selected"><?php echo $text_disabled; ?></option>


                    <?php } ?>


                  </select></td>


              </tr>


            </table>


          </div>


          <?php $address_row = 1; ?>


          <?php foreach ($addresses as $address) { ?>


          <div id="tab-address-<?php echo $address_row; ?>" class="vtabs-content">


            <input type="hidden" name="address[<?php echo $address_row; ?>][address_id]" value="<?php echo $address['address_id']; ?>" />


            <table class="form">


              <tr>


                <td><span class="required">*</span> <?php echo $entry_firstname; ?></td>


                <td><input type="text" name="address[<?php echo $address_row; ?>][firstname]" value="<?php echo $address['firstname']; ?>" />


                  <?php if (isset($error_address_firstname[$address_row])) { ?>


                  <span class="error"><?php echo $error_address_firstname[$address_row]; ?></span>


                  <?php } ?></td>


              </tr>


              <tr>


                <td><span class="required">*</span> <?php echo $entry_lastname; ?></td>


                <td><input type="text" name="address[<?php echo $address_row; ?>][lastname]" value="<?php echo $address['lastname']; ?>" />


                  <?php if (isset($error_address_lastname[$address_row])) { ?>


                  <span class="error"><?php echo $error_address_lastname[$address_row]; ?></span>


                  <?php } ?></td>


              </tr>


              <tr>


                <td><?php echo $entry_company; ?></td>


                <td><input type="text" name="address[<?php echo $address_row; ?>][company]" value="<?php echo $address['company']; ?>" /></td>


              </tr>


              <tr>


                <td><span class="required">*</span> <?php echo $entry_address_1; ?></td>


                <td><input type="text" name="address[<?php echo $address_row; ?>][address_1]" value="<?php echo $address['address_1']; ?>" />


                  <?php if (isset($error_address_address_1[$address_row])) { ?>


                  <span class="error"><?php echo $error_address_address_1[$address_row]; ?></span>


                  <?php } ?></td>


              </tr>


              <tr>


                <td><?php echo $entry_address_2; ?></td>


                <td><input type="text" name="address[<?php echo $address_row; ?>][address_2]" value="<?php echo $address['address_2']; ?>" /></td>


              </tr>


              <tr>


                <td><span class="required">*</span> <?php echo $entry_city; ?></td>


                <td><input type="text" name="address[<?php echo $address_row; ?>][city]" value="<?php echo $address['city']; ?>" />


                  <?php if (isset($error_address_city[$address_row])) { ?>


                  <span class="error"><?php echo $error_address_city[$address_row]; ?></span>


                  <?php } ?></td>


              </tr>


              <tr>


                <td><span class="required">*</span> <?php echo $entry_postcode; ?></td>


                <td><input type="text" name="address[<?php echo $address_row; ?>][postcode]" value="<?php echo $address['postcode']; ?>" /></td>


              </tr>


              <tr>


                <td><span class="required">*</span> <?php echo $entry_country; ?></td>


                <td><select name="address[<?php echo $address_row; ?>][country_id]" id="address[<?php echo $address_row; ?>][country_id]" onchange="$('select[name=\'address[<?php echo $address_row; ?>][zone_id]\']').load('index.php?route=sale/customer/zone&token=<?php echo $token; ?>&country_id=' + this.value + '&zone_id=<?php echo $address['zone_id']; ?>');">


                    <option value=""><?php echo $text_select; ?></option>


                    <?php foreach ($countries as $country) { ?>


                    <?php if ($country['country_id'] == $address['country_id']) { ?>


                    <option value="<?php echo $country['country_id']; ?>" selected="selected"><?php echo $country['name']; ?></option>


                    <?php } else { ?>


                    <option value="<?php echo $country['country_id']; ?>"><?php echo $country['name']; ?></option>


                    <?php } ?>


                    <?php } ?>


                  </select>


                  <?php if (isset($error_address_country[$address_row])) { ?>


                  <span class="error"><?php echo $error_address_country[$address_row]; ?></span>


                  <?php } ?></td>


              </tr>


              <tr>


                <td><span class="required">*</span> <?php echo $entry_zone; ?></td>


                <td><select name="address[<?php echo $address_row; ?>][zone_id]">


                  </select>


                  <?php if (isset($error_address_zone[$address_row])) { ?>


                  <span class="error"><?php echo $error_address_zone[$address_row]; ?></span>


                  <?php } ?></td>


              </tr>


			  <tr>


                <td><?php echo $entry_default; ?></td>


                <td>


                <?php if ((isset($address['default']) && $address['default']) || count($addresses) == 1) { ?>


                <input type="radio" name="address[<?php echo $address_row; ?>][default]" value="<?php echo $address_row; ?>" checked="checked" /></td>


                <?php } else { ?>


                <input type="radio" name="address[<?php echo $address_row; ?>][default]" value="<?php echo $address_row; ?>" />


				</td>


                <?php } ?>


              </tr>


            </table>


            <script type="text/javascript"><!--


		    $('select[name=\'address[<?php echo $address_row; ?>][zone_id]\']').load('index.php?route=sale/customer/zone&token=<?php echo $token; ?>&country_id=<?php echo $address['country_id']; ?>&zone_id=<?php echo $address['zone_id']; ?>');


		    //--></script> 


          </div>


          <?php $address_row++; ?>


          <?php } ?>


        </div>


        <?php if ($customer_id) { ?>


        <div id="tab-transaction">


          <table class="form">


            <tr>


              <td><?php echo $entry_description; ?></td>


              <td><input type="text" name="description" value="" /></td>


            </tr>


            <tr>


              <td><?php echo $entry_amount; ?></td>


              <td><input type="text" name="amount" value="" /></td>


            </tr>


            <tr>


              <td colspan="2" style="text-align: right;"><a id="button-reward" class="button" onclick="addTransaction();"><span><?php echo $button_add_transaction; ?></span></a></td>


            </tr>


          </table>


          <div id="transaction"></div>


        </div>


        <div id="tab-reward">


          <table class="form">


            <tr>


              <td><?php echo $entry_description; ?></td>


              <td><input type="text" name="description" value="" /></td>


            </tr>


            <tr>


              <td><?php echo $entry_points; ?></td>


              <td><input type="text" name="points" value="" /></td>


            </tr>


            <tr>


              <td colspan="2" style="text-align: right;"><a id="button-reward" class="button" onclick="addRewardPoints();"><span><?php echo $button_add_reward; ?></span></a></td>


            </tr>


          </table>


          <div id="reward"></div>


        </div>


        <?php } ?>


        <div id="tab-ip">


          <table class="list">


            <thead>


              <tr>


                <td class="left"><?php echo $column_ip; ?></td>


                <td class="right"><?php echo $column_total; ?></td>


                <td class="left"><?php echo $column_date_added; ?></td>


              </tr>


            </thead>


            <tbody>


              <?php if ($ips) { ?>


              <?php foreach ($ips as $ip) { ?>


              <tr>


                <td class="left"><a onclick="window.open('http://www.geoiptool.com/en/?IP=<?php echo $ip['ip']; ?>');"><?php echo $ip['ip']; ?></a></td>


                <td class="right"><a onclick="window.open('<?php echo $ip['filter_ip']; ?>');"><?php echo $ip['total']; ?></a></td>


                <td class="left"><?php echo $ip['date_added']; ?></td>


              </tr>


              <?php } ?>


              <?php } else { ?>


              <tr>


                <td class="center" colspan="3"><?php echo $text_no_results; ?></td>


              </tr>


              <?php } ?>


            </tbody>


          </table>


        </div>


      </form>


    </div>


  </div>


</div>


<script type="text/javascript"><!--


var address_row = <?php echo $address_row; ?>;





function addAddress() {	


	html  = '<div id="tab-address-' + address_row + '" class="vtabs-content" style="display: none;">';


	html += '  <input type="hidden" name="address[' + address_row + '][address_id]" value="" />';


	html += '  <table class="form">'; 


	html += '    <tr>';


    html += '	   <td><?php echo $entry_firstname; ?></td>';


    html += '	   <td><input type="text" name="address[' + address_row + '][firstname]" value="" /></td>';


    html += '    </tr>';


    html += '    <tr>';


    html += '      <td><?php echo $entry_lastname; ?></td>';


    html += '      <td><input type="text" name="address[' + address_row + '][lastname]" value="" /></td>';


    html += '    </tr>';


    html += '    <tr>';


    html += '      <td><?php echo $entry_company; ?></td>';


    html += '      <td><input type="text" name="address[' + address_row + '][company]" value="" /></td>';


    html += '    </tr>';


    html += '    <tr>';


    html += '      <td><?php echo $entry_address_1; ?></td>';


    html += '      <td><input type="text" name="address[' + address_row + '][address_1]" value="" /></td>';


    html += '    </tr>';


    html += '    <tr>';


    html += '      <td><?php echo $entry_address_2; ?></td>';


    html += '      <td><input type="text" name="address[' + address_row + '][address_2]" value="" /></td>';


    html += '    </tr>';


    html += '    <tr>';


    html += '      <td><?php echo $entry_city; ?></td>';


    html += '      <td><input type="text" name="address[' + address_row + '][city]" value="" /></td>';


    html += '    </tr>';


    html += '    <tr>';


    html += '      <td><?php echo $entry_postcode; ?></td>';


    html += '      <td><input type="text" name="address[' + address_row + '][postcode]" value="" /></td>';


    html += '    </tr>';


    html += '      <td><?php echo $entry_country; ?></td>';


    html += '      <td><select name="address[' + address_row + '][country_id]" onchange="$(\'select[name=\\\'address[' + address_row + '][zone_id]\\\']\').load(\'index.php?route=sale/customer/zone&token=<?php echo $token; ?>&country_id=\' + this.value + \'&zone_id=0\');">';


    html += '         <option value=""><?php echo $text_select; ?></option>';


    <?php foreach ($countries as $country) { ?>


    html += '         <option value="<?php echo $country['country_id']; ?>"><?php echo addslashes($country['name']); ?></option>';


    <?php } ?>


    html += '      </select></td>';


    html += '    </tr>';


    html += '    <tr>';


    html += '      <td><?php echo $entry_zone; ?></td>';


    html += '      <td><select name="address[' + address_row + '][zone_id]"><option value="false"><?php echo $this->language->get('text_none'); ?></option></select></td>';


    html += '    </tr>';


	html += '    <tr>';


    html += '      <td><?php echo $entry_default; ?></td>';


    html += '      <td><input type="radio" name="address[' + address_row + '][default]" value="1" /></td>';


    html += '    </tr>';


    html += '  </table>';


    html += '</div>';


	


	$('#tab-general').append(html);


	


	$('#address-add').before('<a href="#tab-address-' + address_row + '" id="address-' + address_row + '"><?php echo $tab_address; ?> ' + address_row + '&nbsp;<img src="view/image/delete.png" alt="" onclick="$(\'#vtabs a:first\').trigger(\'click\'); $(\'#address-' + address_row + '\').remove(); $(\'#tab-address-' + address_row + '\').remove(); return false;" /></a>');


		 


	$('.vtabs a').tabs();


	


	$('#address-' + address_row).trigger('click');


	


	address_row++;


}


//--></script> 


<script type="text/javascript"><!--


$('#transaction .pagination a').live('click', function() {


	$('#transaction').load(this.href);


	


	return false;


});			





$('#transaction').load('index.php?route=sale/customer/transaction&token=<?php echo $token; ?>&customer_id=<?php echo $customer_id; ?>');





function addTransaction() {


	$.ajax({


		type: 'POST',


		url: 'index.php?route=sale/customer/transaction&token=<?php echo $token; ?>&customer_id=<?php echo $customer_id; ?>',


		dataType: 'html',


		data: 'description=' + encodeURIComponent($('#tab-transaction input[name=\'description\']').val()) + '&amount=' + encodeURIComponent($('#tab-transaction input[name=\'amount\']').val()),


		beforeSend: function() {


			$('.success, .warning').remove();


			$('#button-transaction').attr('disabled', true);


			$('#transaction').before('<div class="attention"><img src="view/image/loading.gif" alt="" /> <?php echo $text_wait; ?></div>');


		},


		complete: function() {


			$('#button-transaction').attr('disabled', false);


			$('.attention').remove();


		},


		success: function(html) {


			$('#transaction').html(html);


			


			$('#tab-transaction input[name=\'amount\']').val('');


			$('#tab-transaction input[name=\'description\']').val('');


		}


	});


}


//--></script> 


<script type="text/javascript"><!--


$('#reward .pagination a').live('click', function() {


	$('#reward').load(this.href);


	


	return false;


});			





$('#reward').load('index.php?route=sale/customer/reward&token=<?php echo $token; ?>&customer_id=<?php echo $customer_id; ?>');





function addRewardPoints() {


	$.ajax({


		type: 'POST',


		url: 'index.php?route=sale/customer/reward&token=<?php echo $token; ?>&customer_id=<?php echo $customer_id; ?>',


		dataType: 'html',


		data: 'description=' + encodeURIComponent($('#tab-reward input[name=\'description\']').val()) + '&points=' + encodeURIComponent($('#tab-reward input[name=\'points\']').val()),


		beforeSend: function() {


			$('.success, .warning').remove();


			$('#button-reward').attr('disabled', true);


			$('#reward').before('<div class="attention"><img src="view/image/loading.gif" alt="" /> <?php echo $text_wait; ?></div>');


		},


		complete: function() {


			$('#button-reward').attr('disabled', false);


			$('.attention').remove();


		},


		success: function(html) {


			$('#reward').html(html);


								


			$('#tab-reward input[name=\'points\']').val('');


			$('#tab-reward input[name=\'description\']').val('');


		}


	});


}


//--></script> 


<script type="text/javascript"><!--


$('.htabs a').tabs();


$('.vtabs a').tabs();


//--></script>


<script type="text/javascript"><!--


$('form input[type=radio]').live('click', function () {


	$('form input[type=radio]').attr('checked', false);


	$(this).attr('checked', true);


});


//--></script> 


<?php echo $footer; ?>