<?php


class ControllerAffiliateEdit extends Controller {


	private $error = array();





	public function index() {


		if (!$this->affiliate->isLogged()) {


			$this->session->data['redirect'] = $this->url->link('affiliate/edit', '', 'SSL');





			$this->redirect($this->url->link('affiliate/login', '', 'SSL'));


		}





		$this->language->load('affiliate/edit');





		$this->document->setTitle($this->language->get('heading_title'));


		


		$this->load->model('affiliate/affiliate');


		


		if (($this->request->server['REQUEST_METHOD'] == 'POST') && $this->validate()) {


			$this->model_affiliate_affiliate->editAffiliate($this->request->post);


			


			$this->session->data['success'] = $this->language->get('text_success');





			$this->redirect($this->url->link('affiliate/account', '', 'SSL'));


		}





      	$this->data['breadcrumbs'] = array();





      	$this->data['breadcrumbs'][] = array(


        	'text'      => $this->language->get('text_home'),


			'href'      => $this->url->link('common/home'),     	


        	'separator' => false


      	); 





      	$this->data['breadcrumbs'][] = array(


        	'text'      => $this->language->get('text_account'),


			'href'      => $this->url->link('affiliate/account', '', 'SSL'),        	


        	'separator' => $this->language->get('text_separator')


      	);





      	$this->data['breadcrumbs'][] = array(


        	'text'      => $this->language->get('text_edit'),


			'href'      => $this->url->link('affiliate/edit', '', 'SSL'),       	


        	'separator' => $this->language->get('text_separator')


      	);


		


		$this->data['heading_title'] = $this->language->get('heading_title');


		


		$this->data['text_select'] = $this->language->get('text_select');


		$this->data['text_your_details'] = $this->language->get('text_your_details');


    	$this->data['text_your_address'] = $this->language->get('text_your_address');





		$this->data['entry_firstname'] = $this->language->get('entry_firstname');


		$this->data['entry_lastname'] = $this->language->get('entry_lastname');


		$this->data['entry_email'] = $this->language->get('entry_email');


		$this->data['entry_telephone'] = $this->language->get('entry_telephone');


		$this->data['entry_fax'] = $this->language->get('entry_fax');


    	$this->data['entry_company'] = $this->language->get('entry_company');


		$this->data['entry_website'] = $this->language->get('entry_website');


    	$this->data['entry_address_1'] = $this->language->get('entry_address_1');


    	$this->data['entry_address_2'] = $this->language->get('entry_address_2');


    	$this->data['entry_postcode'] = $this->language->get('entry_postcode');


    	$this->data['entry_city'] = $this->language->get('entry_city');


    	$this->data['entry_country'] = $this->language->get('entry_country');


    	$this->data['entry_zone'] = $this->language->get('entry_zone');





		$this->data['button_continue'] = $this->language->get('button_continue');


		$this->data['button_back'] = $this->language->get('button_back');





		if (isset($this->error['warning'])) {


			$this->data['error_warning'] = $this->error['warning'];


		} else {


			$this->data['error_warning'] = '';


		}





		if (isset($this->error['firstname'])) {


			$this->data['error_firstname'] = $this->error['firstname'];


		} else {


			$this->data['error_firstname'] = '';


		}





		if (isset($this->error['lastname'])) {


			$this->data['error_lastname'] = $this->error['lastname'];


		} else {


			$this->data['error_lastname'] = '';


		}


		


		if (isset($this->error['email'])) {


			$this->data['error_email'] = $this->error['email'];


		} else {


			$this->data['error_email'] = '';


		}	


		


		if (isset($this->error['telephone'])) {


			$this->data['error_telephone'] = $this->error['telephone'];


		} else {


			$this->data['error_telephone'] = '';


		}	


  		if (isset($this->error['address_1'])) {


			$this->data['error_address_1'] = $this->error['address_1'];


		} else {


			$this->data['error_address_1'] = '';


		}


   		


		if (isset($this->error['city'])) {


			$this->data['error_city'] = $this->error['city'];


		} else {


			$this->data['error_city'] = '';


		}


		


		if (isset($this->error['postcode'])) {


			$this->data['error_postcode'] = $this->error['postcode'];


		} else {


			$this->data['error_postcode'] = '';


		}





		if (isset($this->error['country'])) {


			$this->data['error_country'] = $this->error['country'];


		} else {


			$this->data['error_country'] = '';


		}





		if (isset($this->error['zone'])) {


			$this->data['error_zone'] = $this->error['zone'];


		} else {


			$this->data['error_zone'] = '';


		}


		


		$this->data['action'] = $this->url->link('affiliate/edit', '', 'SSL');





		if ($this->request->server['REQUEST_METHOD'] != 'POST') {


			$affiliate_info = $this->model_affiliate_affiliate->getAffiliate($this->affiliate->getId());


		}





		if (isset($this->request->post['firstname'])) {


			$this->data['firstname'] = $this->request->post['firstname'];


		} elseif (!empty($affiliate_info)) {


			$this->data['firstname'] = $affiliate_info['firstname'];


		} else {


			$this->data['firstname'] = '';


		}





		if (isset($this->request->post['lastname'])) {


			$this->data['lastname'] = $this->request->post['lastname'];


		} elseif (!empty($affiliate_info)) {


			$this->data['lastname'] = $affiliate_info['lastname'];


		} else {


			$this->data['lastname'] = '';


		}





		if (isset($this->request->post['email'])) {


			$this->data['email'] = $this->request->post['email'];


		} elseif (!empty($affiliate_info)) {


			$this->data['email'] = $affiliate_info['email'];


		} else {


			$this->data['email'] = '';


		}





		if (isset($this->request->post['telephone'])) {


			$this->data['telephone'] = $this->request->post['telephone'];


		} elseif (!empty($affiliate_info)) {


			$this->data['telephone'] = $affiliate_info['telephone'];


		} else {


			$this->data['telephone'] = '';


		}





		if (isset($this->request->post['fax'])) {


			$this->data['fax'] = $this->request->post['fax'];


		} elseif (!empty($affiliate_info)) {


			$this->data['fax'] = $affiliate_info['fax'];


		} else {


			$this->data['fax'] = '';


		}


		


		if (isset($this->request->post['company'])) {


    		$this->data['company'] = $this->request->post['company'];


		} elseif (!empty($affiliate_info)) {


			$this->data['company'] = $affiliate_info['company'];		


		} else {


			$this->data['company'] = '';


		}





		if (isset($this->request->post['website'])) {


    		$this->data['website'] = $this->request->post['website'];


		} elseif (!empty($affiliate_info)) {


			$this->data['website'] = $affiliate_info['website'];		


		} else {


			$this->data['website'] = '';


		}


				


		if (isset($this->request->post['address_1'])) {


    		$this->data['address_1'] = $this->request->post['address_1'];


		} elseif (!empty($affiliate_info)) {


			$this->data['address_1'] = $affiliate_info['address_1'];		


		} else {


			$this->data['address_1'] = '';


		}





		if (isset($this->request->post['address_2'])) {


    		$this->data['address_2'] = $this->request->post['address_2'];


		} elseif (!empty($affiliate_info)) {


			$this->data['address_2'] = $affiliate_info['address_2'];		


		} else {


			$this->data['address_2'] = '';


		}





		if (isset($this->request->post['postcode'])) {


    		$this->data['postcode'] = $this->request->post['postcode'];


		} elseif (!empty($affiliate_info)) {


			$this->data['postcode'] = $affiliate_info['postcode'];		


		} else {


			$this->data['postcode'] = '';


		}


		


		if (isset($this->request->post['city'])) {


    		$this->data['city'] = $this->request->post['city'];


		} elseif (!empty($affiliate_info)) {


			$this->data['city'] = $affiliate_info['city'];		


		} else {


			$this->data['city'] = '';


		}





    	if (isset($this->request->post['country_id'])) {


      		$this->data['country_id'] = $this->request->post['country_id'];


		} elseif (!empty($affiliate_info)) {


			$this->data['country_id'] = $affiliate_info['country_id'];			


		} else {	


      		$this->data['country_id'] = $this->config->get('config_country_id');


    	}





    	if (isset($this->request->post['zone_id'])) {


      		$this->data['zone_id'] = $this->request->post['zone_id']; 	


		} elseif (!empty($affiliate_info)) {


			$this->data['zone_id'] = $affiliate_info['zone_id'];		


		} else {


      		$this->data['zone_id'] = '';


    	}


		


		$this->load->model('localisation/country');


		


    	$this->data['countries'] = $this->model_localisation_country->getCountries();





		$this->data['back'] = $this->url->link('affiliate/account', '', 'SSL');





		if (file_exists(DIR_TEMPLATE . $this->config->get('config_template') . '/template/affiliate/edit.tpl')) {


			$this->template = $this->config->get('config_template') . '/template/affiliate/edit.tpl';


		} else {


			$this->template = 'default/template/affiliate/edit.tpl';


		}


		


		$this->children = array(


			'common/column_left',


			'common/column_right',


			'common/content_top',


			'common/content_bottom',


			'common/footer',


			'common/header'	


		);


						


		$this->response->setOutput($this->render());		


	}





	private function validate() {


		if ((utf8_strlen($this->request->post['firstname']) < 1) || (utf8_strlen($this->request->post['firstname']) > 32)) {


			$this->error['firstname'] = $this->language->get('error_firstname');


		}





		if ((utf8_strlen($this->request->post['lastname']) < 1) || (utf8_strlen($this->request->post['lastname']) > 32)) {


			$this->error['lastname'] = $this->language->get('error_lastname');


		}





		if ((utf8_strlen($this->request->post['email']) > 96) || !preg_match('/^[^\@]+@.*\.[a-z]{2,6}$/i', $this->request->post['email'])) {


			$this->error['email'] = $this->language->get('error_email');


		}


		


		if (($this->affiliate->getEmail() != $this->request->post['email']) && $this->model_affiliate_affiliate->getTotalAffiliatesByEmail($this->request->post['email'])) {


			$this->error['warning'] = $this->language->get('error_exists');


		}





		if ((utf8_strlen($this->request->post['telephone']) < 3) || (utf8_strlen($this->request->post['telephone']) > 32)) {


			$this->error['telephone'] = $this->language->get('error_telephone');


		}


    	if ((utf8_strlen($this->request->post['address_1']) < 3) || (utf8_strlen($this->request->post['address_1']) > 128)) {


      		$this->error['address_1'] = $this->language->get('error_address_1');


    	}





    	if ((utf8_strlen($this->request->post['city']) < 2) || (utf8_strlen($this->request->post['city']) > 128)) {


      		$this->error['city'] = $this->language->get('error_city');


    	}


		


		$this->load->model('localisation/country');


		


		$country_info = $this->model_localisation_country->getCountry($this->request->post['country_id']);


		


		if ($country_info && $country_info['postcode_required'] && (utf8_strlen($this->request->post['postcode']) < 2) || (utf8_strlen($this->request->post['postcode']) > 10)) {


			$this->error['postcode'] = $this->language->get('error_postcode');


		}





    	if ($this->request->post['country_id'] == '') {


      		$this->error['country'] = $this->language->get('error_country');


    	}


		


    	if ($this->request->post['zone_id'] == '') {


      		$this->error['zone'] = $this->language->get('error_zone');


    	}


		


		if (!$this->error) {


			return true;


		} else {


			return false;


		}


	}


	


  	public function zone() {


		$output = '<option value="">' . $this->language->get('text_select') . '</option>';


		


		$this->load->model('localisation/zone');





    	$results = $this->model_localisation_zone->getZonesByCountryId($this->request->get['country_id']);


        


      	foreach ($results as $result) {


        	$output .= '<option value="' . $result['zone_id'] . '"';


	


	    	if (isset($this->request->get['zone_id']) && ($this->request->get['zone_id'] == $result['zone_id'])) {


	      		$output .= ' selected="selected"';


	    	}


	


	    	$output .= '>' . $result['name'] . '</option>';


    	} 


		


		if (!$results) {


		  	$output .= '<option value="0">' . $this->language->get('text_none') . '</option>';


		}


	


		$this->response->setOutput($output);


  	}  	


}


?>