<?php 


class ControllerAffiliateLogout extends Controller {


	public function index() {


    	if ($this->affiliate->isLogged()) {


      		$this->affiliate->logout();


			


      		$this->redirect($this->url->link('affiliate/logout', '', 'SSL'));


    	}


 


    	$this->language->load('affiliate/logout');


		


		$this->document->setTitle($this->language->get('heading_title'));


      	


		$this->data['breadcrumbs'] = array();





      	$this->data['breadcrumbs'][] = array(


        	'text'      => $this->language->get('text_home'),


			'href'      => $this->url->link('common/home'),        	


        	'separator' => false


      	);


      	


		$this->data['breadcrumbs'][] = array(


        	'text'      => $this->language->get('text_account'),


			'href'      => $this->url->link('affiliate/account', '', 'SSL'),       	


        	'separator' => $this->language->get('text_separator')


      	);


		


      	$this->data['breadcrumbs'][] = array(


        	'text'      => $this->language->get('text_logout'),


			'href'      => $this->url->link('affiliate/logout', '', 'SSL'),


        	'separator' => $this->language->get('text_separator')


      	);	


		


    	$this->data['heading_title'] = $this->language->get('heading_title');





    	$this->data['text_message'] = $this->language->get('text_message');





    	$this->data['button_continue'] = $this->language->get('button_continue');





    	$this->data['continue'] = $this->url->link('common/home');





		if (file_exists(DIR_TEMPLATE . $this->config->get('config_template') . '/template/common/success.tpl')) {


			$this->template = $this->config->get('config_template') . '/template/common/success.tpl';


		} else {


			$this->template = 'default/template/common/success.tpl';


		}


		


		$this->children = array(


			'common/column_left',


			'common/column_right',


			'common/content_top',


			'common/content_bottom',


			'common/footer',


			'common/header'	


		);


						


		$this->response->setOutput($this->render());	


  	}


}


?>