<?php


// Heading 


$_['heading_title']      = 'Product Returns';





// Text


$_['text_account']       = 'Account';


$_['text_return']        = 'Return Information';


$_['text_description']   = '<p>Please complete the form below to request an RMA number.</p>';


$_['text_order']         = 'Order Information';


$_['text_product']       = 'Product Information &amp; Reason for Return';


$_['text_additional']    = 'Additional Information';


$_['text_message']       = '<p>Thank you for submitting your return request. Your request has been sent to the relevant department for processing.</p><p> You will be notified via e-mail as to the status of your request.</p>';


$_['text_return_id']     = 'Return ID:';


$_['text_order_id']      = 'Order ID:';


$_['text_date_ordered']  = 'Order Date:';


$_['text_status']        = 'Status:';


$_['text_date_added']    = 'Date Added:';


$_['text_customer']      = 'Customer:';


$_['text_comment']       = 'Return Comments';


$_['text_products']      = 'Products:';


$_['text_history']       = 'Return History';


$_['text_empty']         = 'You have not made any previous returns!';


$_['text_error']         = 'The returns you requested could not be found!';





// Column


$_['column_name']        = 'Product Name';


$_['column_model']       = 'Model';


$_['column_quantity']    = 'Quantity';


$_['column_price']       = 'Price';


$_['column_opened']      = 'Opened';


$_['column_comment']     = 'Comment';


$_['column_reason']      = 'Reason';


$_['column_action']      = 'Action';


$_['column_date_added']  = 'Date Added';


$_['column_status']      = 'Status';





// Entry


$_['entry_order_id']     = 'Order ID:';


$_['entry_date_ordered'] = 'Order Date:';


$_['entry_firstname']    = 'First Name:';


$_['entry_lastname']     = 'Last Name:';


$_['entry_email']        = 'E-Mail:';


$_['entry_telephone']    = 'Telephone:';


$_['entry_product']      = 'Product Name:';


$_['entry_model']        = 'Product Code:';


$_['entry_quantity']     = 'Quantity:';


$_['entry_reason']       = 'Reason for Return:';


$_['entry_opened']       = 'Product is opened:';


$_['entry_fault_detail'] = 'Faulty or other details:';


$_['entry_captcha']      = 'Enter the code in the box below:';





// Error


$_['error_order_id']     = 'Order ID required!';


$_['error_firstname']    = 'First Name must be between 1 and 32 characters!';


$_['error_lastname']     = 'Last Name must be between 1 and 32 characters!';


$_['error_email']        = 'E-Mail Address does not appear to be valid!';


$_['error_telephone']    = 'Telephone must be between 3 and 32 characters!';


$_['error_product']      = 'You must select at least one product!';


$_['error_name']         = 'Product Name must be greater than 3 and less than 255 characters!';


$_['error_model']        = 'Product Model must be greater than 3 and less than 64 characters!';


$_['error_reason']       = 'You must select at a return product reason!';


$_['error_captcha']      = 'Verification code does not match the image!';


?>