<?php


class ModelAffiliateAffiliate extends Model {


	public function addAffiliate($data) {


      	$this->db->query("INSERT INTO " . DB_PREFIX . "affiliate SET firstname = '" . $this->db->escape($data['firstname']) . "', lastname = '" . $this->db->escape($data['lastname']) . "', email = '" . $this->db->escape($data['email']) . "', telephone = '" . $this->db->escape($data['telephone']) . "', fax = '" . $this->db->escape($data['fax']) . "', password = '" . $this->db->escape(md5($data['password'])) . "', company = '" . $this->db->escape($data['company']) . "', address_1 = '" . $this->db->escape($data['address_1']) . "', address_2 = '" . $this->db->escape($data['address_2']) . "', city = '" . $this->db->escape($data['city']) . "', postcode = '" . $this->db->escape($data['postcode']) . "', country_id = '" . (int)$data['country_id'] . "', zone_id = '" . (int)$data['zone_id'] . "', code = '" . $this->db->escape(uniqid()) . "', commission = '" . (float)$this->config->get('config_commission') . "', tax = '" . $this->db->escape($data['tax']) . "', payment = '" . $this->db->escape($data['payment']) . "', cheque = '" . $this->db->escape($data['cheque']) . "', paypal = '" . $this->db->escape($data['paypal']) . "', bank_name = '" . $this->db->escape($data['bank_name']) . "', bank_branch_number = '" . $this->db->escape($data['bank_branch_number']) . "', bank_swift_code = '" . $this->db->escape($data['bank_swift_code']) . "', bank_account_name = '" . $this->db->escape($data['bank_account_name']) . "', bank_account_number = '" . $this->db->escape($data['bank_account_number']) . "', status = '1', date_added = NOW()");


	


		$this->language->load('mail/affiliate');


		


		$subject = sprintf($this->language->get('text_subject'), $this->config->get('config_name'));


		


		$message  = sprintf($this->language->get('text_welcome'), $this->config->get('config_name')) . "\n\n";


		$message .= $this->language->get('text_approval') . "\n";


		$message .= $this->url->link('affiliate/login', '', 'SSL') . "\n\n";


		$message .= $this->language->get('text_services') . "\n\n";


		$message .= $this->language->get('text_thanks') . "\n";


		$message .= $this->config->get('config_name');


		


		$mail = new Mail();


		$mail->protocol = $this->config->get('config_mail_protocol');


		$mail->parameter = $this->config->get('config_mail_parameter');


		$mail->hostname = $this->config->get('config_smtp_host');


		$mail->username = $this->config->get('config_smtp_username');


		$mail->password = $this->config->get('config_smtp_password');


		$mail->port = $this->config->get('config_smtp_port');


		$mail->timeout = $this->config->get('config_smtp_timeout');				


		$mail->setTo($this->request->post['email']);


		$mail->setFrom($this->config->get('config_email'));


		$mail->setSender($this->config->get('config_name'));


		$mail->setSubject($subject);


		$mail->setText($message);


		$mail->send();


	}


	


	public function editAffiliate($data) {


		$this->db->query("UPDATE " . DB_PREFIX . "affiliate SET firstname = '" . $this->db->escape($data['firstname']) . "', lastname = '" . $this->db->escape($data['lastname']) . "', email = '" . $this->db->escape($data['email']) . "', telephone = '" . $this->db->escape($data['telephone']) . "', fax = '" . $this->db->escape($data['fax']) . "', company = '" . $this->db->escape($data['company']) . "', address_1 = '" . $this->db->escape($data['address_1']) . "', address_2 = '" . $this->db->escape($data['address_2']) . "', city = '" . $this->db->escape($data['city']) . "', postcode = '" . $this->db->escape($data['postcode']) . "', country_id = '" . (int)$data['country_id'] . "', zone_id = '" . (int)$data['zone_id'] . "' WHERE affiliate_id = '" . (int)$this->affiliate->getId() . "'");


	}





	public function editPayment($data) {


      	$this->db->query("UPDATE " . DB_PREFIX . "affiliate SET tax = '" . $this->db->escape($data['tax']) . "', payment = '" . $this->db->escape($data['payment']) . "', cheque = '" . $this->db->escape($data['cheque']) . "', paypal = '" . $this->db->escape($data['paypal']) . "', bank_name = '" . $this->db->escape($data['bank_name']) . "', bank_branch_number = '" . $this->db->escape($data['bank_branch_number']) . "', bank_swift_code = '" . $this->db->escape($data['bank_swift_code']) . "', bank_account_name = '" . $this->db->escape($data['bank_account_name']) . "', bank_account_number = '" . $this->db->escape($data['bank_account_number']) . "' WHERE affiliate_id = '" . (int)$this->affiliate->getId() . "'");


	}


	


	public function editPassword($email, $password) {


      	$this->db->query("UPDATE " . DB_PREFIX . "affiliate SET password = '" . $this->db->escape(md5($password)) . "' WHERE email = '" . $this->db->escape($email) . "'");


	}


				


	public function getAffiliate($affiliate_id) {


		$query = $this->db->query("SELECT * FROM " . DB_PREFIX . "affiliate WHERE affiliate_id = '" . (int)$affiliate_id . "'");


		


		return $query->row;


	}


	


	public function getAffiliateByCode($code) {


		$query = $this->db->query("SELECT * FROM " . DB_PREFIX . "affiliate WHERE code = '" . $this->db->escape($code) . "'");


		


		return $query->row;


	}


			


	public function getTotalAffiliatesByEmail($email) {


		$query = $this->db->query("SELECT COUNT(*) AS total FROM " . DB_PREFIX . "affiliate WHERE email = '" . $this->db->escape($email) . "'");


		


		return $query->row['total'];


	}


}


?>