/* Hebrew initialisation for the UI Datepicker extension. */

/* Written by Amir Hardon (ahardon at gmail dot com). */

jQuery(function($){

	$.datepicker.regional['he'] = {

		closeText: 'סגור',

		prevText: '&#x3c;הקודם',

		nextText: 'הבא&#x3e;',

		currentText: 'היום',

		monthNames: ['ינואר','פברואר','מרץ','אפריל','מאי','יוני',

		'יולי','אוגוסט','ספטמבר','אוקטובר','נובמבר','דצמבר'],

		monthNamesShort: ['1','2','3','4','5','6',

		'7','8','9','10','11','12'],

		dayNames: ['ראשון','שני','שלישי','רביעי','חמישי','שישי','שבת'],

		dayNamesShort: ['א\'','ב\'','ג\'','ד\'','ה\'','ו\'','שבת'],

		dayNamesMin: ['א\'','ב\'','ג\'','ד\'','ה\'','ו\'','שבת'],

		weekHeader: 'Wk',

		dateFormat: 'dd/mm/yy',

		firstDay: 0,

		isRTL: true,

		showMonthAfterYear: false,

		yearSuffix: ''};

	$.datepicker.setDefaults($.datepicker.regional['he']);

});

