/* Swiss-French initialisation for the jQuery UI date picker plugin. */

/* Written Martin Voelkle (martin.voelkle@e-tc.ch). */

jQuery(function($){

	$.datepicker.regional['fr-CH'] = {

		closeText: 'Fermer',

		prevText: '&#x3c;Préc',

		nextText: 'Suiv&#x3e;',

		currentText: 'Courant',

		monthNames: ['Janvier','Février','Mars','Avril','Mai','Juin',

		'Juillet','Août','Septembre','Octobre','Novembre','Décembre'],

		monthNamesShort: ['Jan','Fév','Mar','Avr','Mai','Jun',

		'Jul','Aoû','Sep','Oct','Nov','Déc'],

		dayNames: ['Dimanche','Lundi','Mardi','Mercredi','Jeudi','Vendredi','Samedi'],

		dayNamesShort: ['Dim','Lun','Mar','Mer','Jeu','Ven','Sam'],

		dayNamesMin: ['Di','Lu','Ma','Me','Je','Ve','Sa'],

		weekHeader: 'Sm',

		dateFormat: 'dd.mm.yy',

		firstDay: 1,

		isRTL: false,

		showMonthAfterYear: false,

		yearSuffix: ''};

	$.datepicker.setDefaults($.datepicker.regional['fr-CH']);

});