<?php echo $header; ?>


<div id="content">


  <div class="breadcrumb">


    <?php foreach ($breadcrumbs as $breadcrumb) { ?>


    <?php echo $breadcrumb['separator']; ?><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a>


    <?php } ?>


  </div>


  <?php if ($error_warning) { ?>


  <div class="warning"><?php echo $error_warning; ?></div>


  <?php } ?>


  <div class="box">


    <div class="heading">


      <h1><img src="view/image/payment.png" alt="" /> <?php echo $heading_title; ?></h1>


      <div class="buttons"><a onclick="$('#form').submit();" class="button"><?php echo $button_save; ?></a><a onclick="location = '<?php echo $cancel; ?>';" class="button"><?php echo $button_cancel; ?></a></div>


    </div>


    <div class="content">


      <form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form">


        <table class="form">


          <tr>


            <td><span class="required">*</span> <?php echo $entry_name; ?></td>


            <td><?php foreach ($languages as $language) { ?>


              <input type="text" name="voucher_theme_description[<?php echo $language['language_id']; ?>][name]" value="<?php echo isset($voucher_theme_description[$language['language_id']]) ? $voucher_theme_description[$language['language_id']]['name'] : ''; ?>" />


              <img src="view/image/flags/<?php echo $language['image']; ?>" title="<?php echo $language['name']; ?>" /><br />


              <?php if (isset($error_name[$language['language_id']])) { ?>


              <span class="error"><?php echo $error_name[$language['language_id']]; ?></span><br />


              <?php } ?>


              <?php } ?></td>


          </tr>


          <tr>


            <td><?php echo $entry_image; ?></td>


            <td valign="top"><div class="image"><img src="<?php echo $thumb; ?>" alt="" id="thumb" />


                <input type="hidden" name="image" value="<?php echo $image; ?>" id="image" />


                <br /><a onclick="image_upload('image', 'thumb');"><?php echo $text_browse; ?></a>&nbsp;&nbsp;|&nbsp;&nbsp;<a onclick="$('#thumb').attr('src', '<?php echo $no_image; ?>'); $('#image').attr('value', '');"><?php echo $text_clear; ?></a></div>


              <?php if ($error_image) { ?>


              <span class="error"><?php echo $error_image; ?></span>


              <?php } ?></td>


          </tr>


        </table>


      </form>


    </div>


  </div>


</div>


<script type="text/javascript"><!--


function image_upload(field, thumb) {


	$('#dialog').remove();


	


	$('#content').prepend('<div id="dialog" style="padding: 3px 0px 0px 0px;"><iframe src="index.php?route=common/filemanager&token=<?php echo $token; ?>&field=' + encodeURIComponent(field) + '" style="padding:0; margin: 0; display: block; width: 100%; height: 100%;" frameborder="no" scrolling="auto"></iframe></div>');


	


	$('#dialog').dialog({


		title: '<?php echo $text_image_manager; ?>',


		close: function (event, ui) {


			if ($('#' + field).attr('value')) {


				$.ajax({


					url: 'index.php?route=common/filemanager/image&token=<?php echo $token; ?>&image=' + encodeURIComponent($('#' + field).val()),


					dataType: 'text',


					success: function(data) {


						$('#' + thumb).replaceWith('<img src="' + data + '" alt="" id="' + thumb + '" />');


					}


				});


			}


		},	


		bgiframe: false,


		width: 800,


		height: 400,


		resizable: false,


		modal: false


	});


};


//--></script> 


<?php echo $footer; ?>