<?php  


class ControllerCheckoutCheckout extends Controller { 


	public function index() {


		if ((!$this->cart->hasProducts() && !empty($this->session->data['vouchers'])) || (!$this->cart->hasStock() && !$this->config->get('config_stock_checkout'))) {


	  		$this->redirect($this->url->link('checkout/cart'));


    	}	


					


		$products = $this->cart->getProducts();


				


		foreach ($products as $product) {


			$product_total = 0;


				


			foreach ($products as $product_2) {


				if ($product_2['product_id'] == $product['product_id']) {


					$product_total += $product_2['quantity'];


				}


			}		


			


			if ($product['minimum'] > $product_total) {


				$this->redirect($this->url->link('checkout/cart'));


			}				


		}


				


		$this->language->load('checkout/checkout');


		


		$this->document->setTitle($this->language->get('heading_title')); 


		


		$this->data['breadcrumbs'] = array();





      	$this->data['breadcrumbs'][] = array(


        	'text'      => $this->language->get('text_home'),


			'href'      => $this->url->link('common/home'),


        	'separator' => false


      	); 





      	$this->data['breadcrumbs'][] = array(


        	'text'      => $this->language->get('text_cart'),


			'href'      => $this->url->link('checkout/cart'),


        	'separator' => $this->language->get('text_separator')


      	);


		


      	$this->data['breadcrumbs'][] = array(


        	'text'      => $this->language->get('heading_title'),


			'href'      => $this->url->link('checkout/checkout', '', 'SSL'),


        	'separator' => $this->language->get('text_separator')


      	);


					


	    $this->data['heading_title'] = $this->language->get('heading_title');


		


		$this->data['text_checkout_option'] = sprintf($this->language->get('text_checkout_option'));


		$this->data['text_checkout_account'] = $this->language->get('text_checkout_account');


		$this->data['text_checkout_payment_address'] = $this->language->get('text_checkout_payment_address');


		$this->data['text_checkout_shipping_address'] = $this->language->get('text_checkout_shipping_address');


		$this->data['text_checkout_shipping_method'] = $this->language->get('text_checkout_shipping_method');


		$this->data['text_checkout_payment_method'] = $this->language->get('text_checkout_payment_method');		


		$this->data['text_checkout_confirm'] = $this->language->get('text_checkout_confirm');


		$this->data['text_modify'] = $this->language->get('text_modify');


		


		$this->data['logged'] = $this->customer->isLogged();


		$this->data['shipping_required'] = $this->cart->hasShipping();	


		


		if (file_exists(DIR_TEMPLATE . $this->config->get('config_template') . '/template/checkout/checkout.tpl')) {


			$this->template = $this->config->get('config_template') . '/template/checkout/checkout.tpl';


		} else {


			$this->template = 'default/template/checkout/checkout.tpl';


		}


		


		$this->children = array(


			'common/column_left',


			'common/column_right',


			'common/content_top',


			'common/content_bottom',


			'common/footer',


			'common/header'	


		);


				


		$this->response->setOutput($this->render());


  	}


}


?>