<?php


class ModelCheckoutCoupon extends Model {


	public function getCoupon($code) {


		$status = true;


		


		$coupon_query = $this->db->query("SELECT * FROM " . DB_PREFIX . "coupon WHERE code = '" . $this->db->escape($code) . "' AND ((date_start = '0000-00-00' OR date_start < NOW()) AND (date_end = '0000-00-00' OR date_end > NOW())) AND status = '1'");


			


		if ($coupon_query->num_rows) {


			if ($coupon_query->row['total'] >= $this->cart->getSubTotal()) {


				$status = false;


			}


		


			$coupon_history_query = $this->db->query("SELECT COUNT(*) AS total FROM `" . DB_PREFIX . "coupon_history` ch WHERE ch.coupon_id = '" . (int)$coupon_query->row['coupon_id'] . "'");





			if ($coupon_query->row['uses_total'] > 0 && ($coupon_history_query->row['total'] >= $coupon_query->row['uses_total'])) {


				$status = false;


			}


			


			if ($coupon_query->row['logged'] && !$this->customer->getId()) {


				$status = false;


			}


			


			if ($this->customer->getId()) {


				$coupon_history_query = $this->db->query("SELECT COUNT(*) AS total FROM `" . DB_PREFIX . "coupon_history` ch WHERE ch.coupon_id = '" . (int)$coupon_query->row['coupon_id'] . "' AND ch.customer_id = '" . (int)$this->customer->getId() . "'");


				


				if ($coupon_query->row['uses_customer'] > 0 && ($coupon_history_query->row['total'] >= $coupon_query->row['uses_customer'])) {


					$status = false;


				}


			}


				


			$coupon_product_data = array();


				


			$coupon_product_query = $this->db->query("SELECT * FROM " . DB_PREFIX . "coupon_product WHERE coupon_id = '" . (int)$coupon_query->row['coupon_id'] . "'");





			foreach ($coupon_product_query->rows as $result) {


				$coupon_product_data[] = $result['product_id'];


			}


				


			if ($coupon_product_data) {


				$coupon_product = false;


					


				foreach ($this->cart->getProducts() as $product) {


					if (in_array($product['product_id'], $coupon_product_data)) {


						$coupon_product = true;


							


						break;


					}


				}


					


				if (!$coupon_product) {


					$status = false;


				}


			}


		} else {


			$status = false;


		}


		


		if ($status) {


			return array(


				'coupon_id'     => $coupon_query->row['coupon_id'],


				'code'          => $coupon_query->row['code'],


				'name'          => $coupon_query->row['name'],


				'type'          => $coupon_query->row['type'],


				'discount'      => $coupon_query->row['discount'],


				'shipping'      => $coupon_query->row['shipping'],


				'total'         => $coupon_query->row['total'],


				'product'       => $coupon_product_data,


				'date_start'    => $coupon_query->row['date_start'],


				'date_end'      => $coupon_query->row['date_end'],


				'uses_total'    => $coupon_query->row['uses_total'],


				'uses_customer' => $coupon_query->row['uses_customer'],


				'status'        => $coupon_query->row['status'],


				'date_added'    => $coupon_query->row['date_added']


			);


		}


	}


	


	public function redeem($coupon_id, $order_id, $customer_id, $amount) {


		$this->db->query("INSERT INTO `" . DB_PREFIX . "coupon_history` SET coupon_id = '" . (int)$coupon_id . "', order_id = '" . (int)$order_id . "', customer_id = '" . (int)$customer_id . "', amount = '" . (float)$amount . "', date_added = NOW()");


	}


}


?>