<?php if (isset($_SERVER['HTTP_USER_AGENT']) && !strpos($_SERVER['HTTP_USER_AGENT'], 'MSIE 6')) echo '<?xml version="1.0" encoding="UTF-8"?>'. "\n"; ?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" dir="<?php echo $direction; ?>" lang="<?php echo $lang; ?>" xml:lang="<?php echo $lang; ?>">

<head>

<title><?php echo $title; ?></title>

<base href="<?php echo $base; ?>" />

<?php if ($description) { ?>

<meta name="description" content="<?php echo $description; ?>" />

<?php } ?>

<?php if ($keywords) { ?>

<meta name="keywords" content="<?php echo $keywords; ?>" />

<?php } ?>

<?php if ($icon) { ?>

<link href="<?php echo $icon; ?>" rel="icon" />

<?php } ?>

<?php foreach ($links as $link) { ?>

<link href="<?php echo $link['href']; ?>" rel="<?php echo $link['rel']; ?>" />

<?php } ?>

<link rel="stylesheet" type="text/css" href="catalog/view/theme/default/stylesheet/stylesheet.css" />

<?php foreach ($styles as $style) { ?>

<link rel="<?php echo $style['rel']; ?>" type="text/css" href="<?php echo $style['href']; ?>" media="<?php echo $style['media']; ?>" />

<?php } ?>

<script type="text/javascript" src="catalog/view/javascript/jquery/jquery-1.6.1.min.js"></script>

<script type="text/javascript" src="catalog/view/javascript/jquery/ui/jquery-ui-1.8.16.custom.min.js"></script>

<link rel="stylesheet" type="text/css" href="catalog/view/javascript/jquery/ui/themes/ui-lightness/jquery-ui-1.8.16.custom.css" />

<script type="text/javascript" src="catalog/view/javascript/jquery/ui/external/jquery.cookie.js"></script>

<script type="text/javascript" src="catalog/view/javascript/jquery/fancybox/jquery.fancybox-1.3.4.pack.js"></script>

<link rel="stylesheet" type="text/css" href="catalog/view/javascript/jquery/fancybox/jquery.fancybox-1.3.4.css" media="screen" />

<!--[if IE]>

<script type="text/javascript" src="catalog/view/javascript/jquery/fancybox/jquery.fancybox-1.3.4-iefix.js"></script>

<![endif]--> 

<script type="text/javascript" src="catalog/view/javascript/jquery/tabs.js"></script>

<script type="text/javascript" src="catalog/view/javascript/common.js"></script>







<link href="catalog/view/theme/marigold/stylesheet/style.css" rel="stylesheet" type="text/css" />

<script src="catalog/view/theme/marigold/js/slides.min.jquery.js"></script>

<link rel="stylesheet" href="catalog/view/theme/marigold/stylesheet/dropdown.css" type="text/css" media="screen, projection"/>





<script src="catalog/view/theme/marigold/js/main-function.js"></script>

<link href="catalog/view/theme/marigold/stylesheet/global.css" rel="stylesheet" type="text/css" />



<?php foreach ($scripts as $script) { ?>

<script type="text/javascript" src="<?php echo $script; ?>"></script>

<?php } ?>

<!--[if IE 7]>

<link rel="stylesheet" type="text/css" href="catalog/view/theme/default/stylesheet/ie7.css" />

<![endif]-->

<!--[if lt IE 7]>

<link rel="stylesheet" type="text/css" href="catalog/view/theme/default/stylesheet/ie6.css" />

<script type="text/javascript" src="catalog/view/javascript/DD_belatedPNG_0.0.8a-min.js"></script>

<script type="text/javascript">

DD_belatedPNG.fix('#logo img');

</script>

<![endif]-->

<?php echo $google_analytics; ?>

</head>

<body>



<!--

<div id="container">

<div id="header">

  <?php if ($logo) { ?>

  <div id="logo"><a href="<?php echo $home; ?>"><img src="<?php echo $logo; ?>" title="<?php echo $name; ?>" alt="<?php echo $name; ?>" /></a></div>

  <?php } ?>

  <?php if (count($languages) > 1) { ?>

  <form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data">

    <div id="language"><?php echo $text_language; ?><br />

      <?php foreach ($languages as $language) { ?>

      &nbsp;<img src="image/flags/<?php echo $language['image']; ?>" alt="<?php echo $language['name']; ?>" title="<?php echo $language['name']; ?>" onclick="$('input[name=\'language_code\']').attr('value', '<?php echo $language['code']; ?>').submit(); $(this).parent().parent().submit();" />

      <?php } ?>

      <input type="hidden" name="language_code" value="" />

      <input type="hidden" name="redirect" value="<?php echo $redirect; ?>" />

    </div>

  </form>

  <?php } ?>

  <?php if (count($currencies) > 1) { ?>

  <form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data">

    <div id="currency"><?php echo $text_currency; ?><br />

      <?php foreach ($currencies as $currency) { ?>

      <?php if ($currency['code'] == $currency_code) { ?>

      <?php if ($currency['symbol_left']) { ?>

      <a title="<?php echo $currency['title']; ?>"><b><?php echo $currency['symbol_left']; ?></b></a>

      <?php } else { ?>

      <a title="<?php echo $currency['title']; ?>"><b><?php echo $currency['symbol_right']; ?></b></a>

      <?php } ?>

      <?php } else { ?>

      <?php if ($currency['symbol_left']) { ?>

      <a title="<?php echo $currency['title']; ?>" onclick="$('input[name=\'currency_code\']').attr('value', '<?php echo $currency['code']; ?>').submit(); $(this).parent().parent().submit();"><?php echo $currency['symbol_left']; ?></a>

      <?php } else { ?>

      <a title="<?php echo $currency['title']; ?>" onclick="$('input[name=\'currency_code\']').attr('value', '<?php echo $currency['code']; ?>').submit(); $(this).parent().parent().submit();"><?php echo $currency['symbol_right']; ?></a>

      <?php } ?>

      <?php } ?>

      <?php } ?>

      <input type="hidden" name="currency_code" value="" />

      <input type="hidden" name="redirect" value="<?php echo $redirect; ?>" />

    </div>

  </form>

  <?php } ?>

  <div id="cart">

    <div class="heading">

      <h4><?php echo $text_cart; ?></h4>

      <a><span id="cart_total"><?php echo $text_items; ?></span></a></div>

    <div class="content"></div>

  </div>

  <div id="search">

    <div class="button-search"></div>

    <?php if ($filter_name) { ?>

    <input type="text" name="filter_name" value="<?php echo $filter_name; ?>" />

    <?php } else { ?>

    <input type="text" name="filter_name" value="<?php echo $text_search; ?>" onclick="this.value = '';" onkeydown="this.style.color = '#000000';" />

    <?php } ?>

  </div>

  <div id="welcome">

    <?php if (!$logged) { ?>

    <?php echo $text_welcome; ?>

    <?php } else { ?>

    <?php echo $text_logged; ?>

    <?php } ?>

  </div>

  <div class="links"><a href="<?php echo $home; ?>"><?php echo $text_home; ?></a><a href="<?php echo $wishlist; ?>" id="wishlist_total"><?php echo $text_wishlist; ?></a><a href="<?php echo $account; ?>"><?php echo $text_account; ?></a><a href="<?php echo $cart; ?>"><?php echo $text_cart; ?></a><a href="<?php echo $checkout; ?>"><?php echo $text_checkout; ?></a></div>

</div>

<?php if ($categories) { ?>

<div id="menu">

  <ul>

    <?php foreach ($categories as $category) { ?>

    <li><a href="<?php echo $category['href']; ?>"><?php echo $category['name']; ?></a>

      <?php if ($category['children']) { ?>

      <div>

        <?php for ($i = 0; $i < count($category['children']);) { ?>

        <ul>

          <?php $j = $i + ceil(count($category['children']) / $category['column']); ?>

          <?php for (; $i < $j; $i++) { ?>

          <?php if (isset($category['children'][$i])) { ?>

          <li><a href="<?php echo $category['children'][$i]['href']; ?>"><?php echo $category['children'][$i]['name']; ?></a></li>

          <?php } ?>

          <?php } ?>

        </ul>

        <?php } ?>

      </div>

      <?php } ?>

    </li>

    <?php } ?>

  </ul>

</div>

<?php } ?>

<div id="notification"></div>



-->





<!-- wrap -->

<div class="wrap">

<!-- main bg -->

<div class="main-bg">

<!-- header -->

<div class="header">

<div class="logo"><a href="index.php"><img src="catalog/view/theme/marigold/images/logo.png" width="169" height="107" /></a></div>

<div class="right-area">

<!-- left link -->

<div class="two-linka">
  <div class="login-areafix">  <?php if (!$logged) { ?>
    <ul>

<li><a href="index.php?route=account/login">Login</a></li>

<li><span></span></li>

<li><a href="index.php?route=account/register">Sign Up</a></li>

<li><span></span></li>

<li><a href="index.php?route=account/login">Sign Up For Emails</a></li>

</ul>
    <?php } else { ?>
    <?php echo $text_logged; ?>
    <?php } ?></div>





</div>

<!-- left link end -->

<!-- right design -->

<div class="right-mainarea">
<div class="view-shopping">
<div id="checot">
    <div id="cart">
    <div class="heading">    
    <div class="bag"><img src="catalog/view/theme/marigold/images/bag.png" width="26" height="35" /></div> 
    <?php echo $text_cart; ?>
      <a><span id="cart_total"><?php echo $text_items; ?></span></a></div>
    <div class="content"></div>
  </div>

<a href="index.php?route=checkout/checkout" style="margin-top:48px; padding-left:60px; display:block" ><img src="catalog/view/theme/marigold/images/check-out.png"></a>


</div>
</div>






</div>

<!-- right design end -->

</div>

</div>

<!-- header end -->

<!-- button -->











<?php if ($categories) { ?>

<div class="main-nav">

<div class="home-btn"><a href="http://marigoldaccessories.in/"><img src="catalog/view/theme/marigold/images/home.png" width="27" height="23" /></a></div>



  <ul class="dropdown">

    <?php foreach ($categories as $category) { ?>

    <li><a href="<?php echo $category['href']; ?>"><?php echo $category['name']; ?></a>

      <?php if ($category['children']) { ?>

              <?php for ($i = 0; $i < count($category['children']);) { ?>

			<ul style="width:233px">

			  <?php $j = $i + ceil(count($category['children']) / $category['column']); ?>

			  <?php for (; $i < $j; $i++) { ?>

			  <?php if (isset($category['children'][$i])) { ?>

				 <li><a href="<?php echo $category['children'][$i]['href']; ?>"><?php echo $category['children'][$i]['name']; ?></a></li>

			  <?php } ?>

			  <?php } ?>

		        </ul>

		<?php } ?>      

      <?php } ?>

    </li><li><span class="stript"></span></li>

    <?php } ?>





<?php } ?>



















<li class="design-padd"><img src="catalog/view/theme/marigold/images/design-btn.jpg" width="132" height="47" /></li>

</ul>

<!-- search -->

<div class="search-box">

<div class="search-inputa"><input type="text" name="filter_name" value="<?php echo $text_search; ?>" onclick="this.value = '';" onkeydown="this.style.color = '#000000';" /></div>

<div class="search-lence"><span class="button-search" ><img src="catalog/view/theme/marigold/images/search.png" width="22" height="21" /></span></div>

</div>

<!-- search -->

</div>

<!-- button end -->























<script type="text/javascript"><!--

$('#content input[name=\'filter_name\']').keydown(function(e) {

	if (e.keyCode == 13) {

		$('#button-search').trigger('click');

	}

});



$('#button-search').bind('click', function() {

	url = 'index.php?route=product/search';

	

	var filter_name = $('#content input[name=\'filter_name\']').attr('value');

	

	if (filter_name) {

		url += '&filter_name=' + encodeURIComponent(filter_name);

	}



	var filter_category_id = $('#content select[name=\'filter_category_id\']').attr('value');

	

	if (filter_category_id > 0) {

		url += '&filter_category_id=' + encodeURIComponent(filter_category_id);

	}

	

	var filter_sub_category = $('#content input[name=\'filter_sub_category\']:checked').attr('value');

	

	if (filter_sub_category) {

		url += '&filter_sub_category=true';

	}

		

	var filter_description = $('#content input[name=\'filter_description\']:checked').attr('value');

	

	if (filter_description) {

		url += '&filter_description=true';

	}



	location = url;

});



function display(view) {

	if (view == 'list') {

		$('.product-grid').attr('class', 'product-list');

		

		$('.product-list > div').each(function(index, element) {

			html  = '<div class="right">';

			html += '  <div class="cart">' + $(element).find('.cart').html() + '</div>';

			html += '  <div class="wishlist">' + $(element).find('.wishlist').html() + '</div>';

			html += '  <div class="compare">' + $(element).find('.compare').html() + '</div>';

			html += '</div>';			

			

			html += '<div class="left">';

			

			var image = $(element).find('.image').html();

			

			if (image != null) { 

				html += '<div class="image">' + image + '</div>';

			}

			

			var price = $(element).find('.price').html();

			

			if (price != null) {

				html += '<div class="price">' + price  + '</div>';

			}

						

			html += '  <div class="name">' + $(element).find('.name').html() + '</div>';

			html += '  <div class="description">' + $(element).find('.description').html() + '</div>';

			

			var rating = $(element).find('.rating').html();

			

			if (rating != null) {

				html += '<div class="rating">' + rating + '</div>';

			}

				

			html += '</div>';



						

			$(element).html(html);

		});		

		

		$('.display').html('<b>Display:</b> List <b>/</b> <a onclick="display(\'grid\');">Grid</a>');

		

		$.cookie('display', 'list'); 

	} else {

		$('.product-list').attr('class', 'product-grid');

		

		$('.product-grid > div').each(function(index, element) {

			html = '';

			

			var image = $(element).find('.image').html();

			

			if (image != null) {

				html += '<div class="image">' + image + '</div>';

			}

			

			html += '<div class="name">' + $(element).find('.name').html() + '</div>';

			html += '<div class="description">' + $(element).find('.description').html() + '</div>';

			

			var price = $(element).find('.price').html();

			

			if (price != null) {

				html += '<div class="price">' + price  + '</div>';

			}	

					

			var rating = $(element).find('.rating').html();

			

			if (rating != null) {

				html += '<div class="rating">' + rating + '</div>';

			}

						

			html += '<div class="cart">' + $(element).find('.cart').html() + '</div>';

			html += '<div class="wishlist">' + $(element).find('.wishlist').html() + '</div>';

			html += '<div class="compare">' + $(element).find('.compare').html() + '</div>';

			

			$(element).html(html);

		});	

					

		$('.display').html('<b>Display:</b> <a onclick="display(\'list\');">List</a> <b>/</b> Grid');

		

		$.cookie('display', 'grid');

	}

}



view = $.cookie('display');



if (view) {

	display(view);

} else {

	display('list');

}

//--></script>



















